Bug 56697 - mount produce a kernel oops
mount produce a kernel oops
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2001-11-25 06:17 EST by santini
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-07 18:49:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description santini 2001-11-25 06:17:15 EST
Tryng to lopp mount a hpf file hangs mount and kernel opps:

1. Have some hpf file

2. Issue

   mount -o loop,ro -t hfs /tmp/file.hpf /tmp/mnt


 mount hangs and this appears in dmesg output

Unable to handle kernel NULL pointer dereference at virtual address 00000000
 printing eip:
*pde = 00000000
Oops: 0000
CPU:    0
EIP:    0010:[<cca71504>]    Not tainted
EFLAGS: 00013202
eax: 00000004   ebx: 00000000   ecx: 00000001   edx: c1f5b600
esi: 00000000   edi: c0fae830   ebp: c0fae800   esp: cb8a7cf0
ds: 0018   es: 0018   ss: 0018
Process mount (pid: 2900, stackpage=cb8a7000)
Stack: 00000000 c0fae830 c0fae200 00000000 00000600 00000000 c0fae000 00000800 
       c1f5b600 00000000 00000000 cca717a5 c1f5b600 00000800 00000000 00000000 
       c1f5b600 cca748c0 cbdff620 cbdff620 cc8081ac c1f5b600 cca748c0 c164d800 
Call Trace: [<cca717a5>] __insmod_sr_mod_S.text_L10928 [sr_mod] 0x745 
[<cca748c0>] __insmod_sr_mod_S.rodata_L48 [sr_mod] 0xda0 
[<cc8081ac>] scsi_io_completion_R2bda9a0b [scsi_mod] 0x72c 
[<cca748c0>] __insmod_sr_mod_S.rodata_L48 [sr_mod] 0xda0 
[<c018119e>] generic_unplug_device [kernel] 0x1e 
[<c011b8d9>] __run_task_queue [kernel] 0x49 
[<c01372a6>] __wait_on_buffer [kernel] 0x56 
[<cca8213f>] hfs_tolower [hfs] 0x1df 
[<c0138441>] __refile_buffer [kernel] 0x61 
[<c0138566>] bread [kernel] 0x46 
[<cc80074c>] scsi_wait_req_R9e8fb762 [scsi_mod] 0x8c 
[<cca82ab7>] hfs_buffer_get [hfs] 0x27 
[<c0137565>] sync_buffers [kernel] 0x35 
[<cca81d1c>] hfs_part_find [hfs] 0x1c 
[<cca82931>] hfs_read_super [hfs] 0x61 
[<cca42940>] __insmod_cdrom_S.data_L532 [cdrom] 0x1c 
[<c013b533>] get_sb_bdev [kernel] 0x203 
[<c013bac4>] do_kern_mount [kernel] 0xe4 
[<cca88920>] hfs_aops [hfs] 0x280 
[<cca88920>] hfs_aops [hfs] 0x280 
[<c014bd43>] do_add_mount [kernel] 0x23 
[<c01143e0>] do_page_fault [kernel] 0x0 
[<c014bfcb>] do_mount [kernel] 0x13b 
[<c014be3c>] copy_mount_options [kernel] 0x4c 
[<c014c06c>] sys_mount [kernel] 0x7c 
[<c0106f3b>] system_call [kernel] 0x33 

Code: f3 a5 a8 02 74 02 66 a5 a8 01 74 01 a4 8b 44 24 30 0f b7 90
Comment 1 Bernhard Rosenkraenzer 2001-11-25 07:13:16 EST
This has nothing to do with the mount command; assigning to kernel
Comment 2 Arjan van de Ven 2001-11-25 07:17:25 EST
which kernel is this ?
Comment 3 darkeye 2001-12-02 05:20:39 EST
I have the same problem. I have RedHat 7.2, kernel 2.4.9 (from the RPMs), two
hard drives on ide0, an ASUS DVD on /deb/hdc. Every once in a while, the whole
ide bus crashes, tries to reset (both IDE channels), then finally get the same
thing as in the original post.

Very disappointing :((
Comment 4 Alan Cox 2003-06-07 18:49:22 EDT
No response since November 2001, closing
Other comment at bottom is unrelated bug

Note You need to log in before you can comment on or make changes to this bug.